| Home | Libraries | People | FAQ | More

##### value_at_c

###### Description

Returns the actual type at a given index from the Sequence.

###### Synopsis

    template<
        typename Seq,
        int M>
    struct value_at_c
    {
        typedef unspecified type;
    };

Table 1.32. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Forward Sequence | Argument sequence
`M` | Positive integer index | Index of element

###### Expression Semantics

    result_of::value_at_c<Seq, M>::type

Return type: Any type

Semantics: Returns the actual type at the `M`th element of `Seq`.

###### Header

    #include <boost/fusion/sequence/intrinsic/value_at.hpp>
    #include <boost/fusion/include/value_at.hpp>

###### Example

    typedef vector<int,float,char> vec;
    BOOST_MPL_ASSERT((boost::is_same<result_of::value_at_c<vec, 1>::type, float>));